Album: Faces of Oglogoth
Date: January 22, 2023
Date Added: April 13, 2024
URLs:
- https://thehighblood.bandcamp.com/album/faces-of-oglogoth
Artists:
- Xszelor
- Highblood
Cover Artists:
- Xszelor
Art Tags:
- Horrorterrors
Cover Art File Extension: png
Color: '#8187E7'
Groups:
- Xszelor
- Fandom
Commentary: |-
    <i>Xszelor:</i>
    Highblood presents Faces of Oglogoth - omage to [[album:face-of-oglogoth-cover-lp|my first music album]]
    Connecting absurd and category B Death Metal, mixing the Alternian language and absurd blabbing. Enjoy the massacre.
---
Track: Lowbleed
Duration: '3:33'
URLs:
- https://thehighblood.bandcamp.com/track/lowbleed
Lyrics: |-
    So how's fast our paradise to come
    Many ways to live, many ways to drown
    We know how it goes as we se ones that not into the stoning to the prays of the One
    When this comes to rise of the horns
    When this faces the carnival call
    We well always make your way to our hands mostly flavourable as it once was
    When this comes to rise of the horns
    When this faces the carnival call
    We well always make your way to our hands mostly flavourable as it once was

    May the meal go on
    May it be the good on
    Or i get the bitching on and go up to destroy
    Call it kind of wise on
    So i can be right now
    Wrecking up this place and eating your refridge intacts

    Neverending ceremony of the meal cooking with me x8
    Carnival of Carnage
    Carnival of Carnage
    Carnival of Carnage
    Carnival of Carnage
    Coming of the ceremony the last of darkened tempers
    And capacity of fable now exists as vile real

    wortwortwortwortwowowowwowowowortwowowortttt
---
Track: Terrologian
Duration: '2:11'
URLs:
- https://thehighblood.bandcamp.com/track/terrologian
Lyrics: |-
    So i have found out, that the peaceful solutions really exist
    Open throat, we wont need fret, right for now

    Dwelling in the burning blood
    Worshiping the burning sun
    Why cant you arise and shine
    In order of the One that was

    Remain the one reciever
    Of words
    Remain the one believer
    Of God that was
    Of God that was

    And remain the last recaller
    Of his true Name
    And voices of the prophets
    That worsphip soda cans

    Remain the one reciever
    Of words
    Remain the one believer
    Of God that was
    Condemn all world to drinking
    The fizzy bloody mass
    Remain the one believer
    Of God that was
---
Track: Gl`bgolyb
Duration: '2:11'
URLs:
- https://thehighblood.bandcamp.com/track/glbgolyb
Lyrics: |-
    What's makes the flesh
    So odd and fresh
    Honorary process
    Onwards, come next out the dark

    Lovely scent
    Meaning the death
    I will succeed
    And won't eat
    But not for me

    O, Great Golyb, Arise of your slumber
    Retake the trace
    And shred
    Disgrace of troll race

    O, Great Golyb, Denies this all
    Reap and sowing
    The cycle
    Persist it
---
Track: Spinal Cervice Extraction
Duration: '3:17'
URLs:
- https://thehighblood.bandcamp.com/track/spinal-cervice-extraction
Lyrics: |-
    Onwards onto no attrition
    Affirate upon the "Burning Ground"
    Horrors beyond mine compression
    Are hunting us oblitioning of distorting sounds
    Spinal
    Cervice
    Extraction
    of Genitails!
    Madness of the last stand brinks the eye

    Spinal Cervice Extraction
    Spinal Cervice Extraction
---
Track: Dilemma
Suffix Directory: true
Always Reference By Directory: true
Duration: '3:15'
#Seems to have lyrics, incomprehensible
URLs:
- https://thehighblood.bandcamp.com/track/dilemma
Lyrics: |-
    Oh my bro, there is something wrong
    I couldnt find my fucking honk
    Its been there, and it wasnt there, i think
    Could you took it, i dont know, cause i really shouldnt share
    So its somethink like round and stitch i dont really respect that model of thing or actually it wasnt and i think i had all of it, all the fucking shit happened and i dont i dont get it i i cant i cant fuck

    Wow hello there, something wrong
    I couldnt find my fucking honk
    I put it there, but this is don't there
    I dont fucking get when i put it somewhere

    Oh, hey something wrong
    I couldnt find my fucking honk
    I put it there, but this is don't there
    I dont fucking get when i put it somewhere

    Oh my bro, is something wrong?
    I finally found my fucking honk!
    But it looks like that i think it could be shoved in some bad ass but i dont quite sure but this is smell of qite shit i dont give it to wash but whos did that shit i dont quite sure what kind made that tie and i need a hour and hour to let it to try
---
Track: Jugglatronn 666
Duration: '1:24'
Referenced Tracks:
- Pust' begut neuklyuzhe
URLs:
- https://thehighblood.bandcamp.com/track/jugglatronn-666
Lyrics: |-
    Jugglatronn 666

    Jugglatronn Death, Death, Death
    Jugglatronn Death, Death, Death
    Jugglatronn Death, Death, Death
    Jugglatronn Death, Death, Death

    Here is the Jugglatronn
    Made its own
    Owns a fucking death
    Thats like own of death

    Jugglatronn 666

    Jugglatronn Death, Death, Death
    Jugglatronn Death, Death, Death
    Jugglatronn Death, Death, Death
    Jugglatronn Death, Death, Death
    Jugglatronn Death, Death, Death
    Jugglatronn Death, Death, Death
    Jugglatronn Death, Death, Death
    Jugglatronn Death, Death, Death
---
Track: Purple Vomit
Duration: '2:41'
URLs:
- https://thehighblood.bandcamp.com/track/purple-vomit
---
Track: As the Clockhand Bashes the Heads
Duration: '2:55'
#Seems to have lyrics, incomprehensible
URLs:
- https://thehighblood.bandcamp.com/track/as-the-clockhand-bashes-the-heads
Lyrics: |-
    Clockhand smashed face

    Turning bloody more on lieaking

    Free is Night
    This is It
    Time has come

    So i am already here
    So i am already here
    So i am already here
    So i am already here

    Oh my, oh my desired friend
    Forbidden and desept
    My beautiful redemption of decay
    Is now condemned to set
    My fucking leg
    Dismembered
    But now i feel myself better
    Foregin, but
    Not lost my hand
    I am alredy happened
---
Track: Gallsphincter Deformed Devour
Duration: '2:55'
#Seems to have lyrics, incomprehensible
URLs:
- https://thehighblood.bandcamp.com/track/gallsphincter-deformed-devour
Lyrics: |-
    Millions obey
    Obeying the one
    Submerged by round of pain
    Of reek, of smoldering rain on grave
    Of smoldering rain of pain

    What begins with plague
    What begins with plague
    What begins with plague
    What begins with plague

    Terminality of mind
    Terminality of treads that bind us
    Terminality of madness
    But grasp is strong and never will let us

    What begins with plague
    And ends with burning flames
    What begins with plague
    And ends, we can explain
    And ends, we can explain
    And ends, we can explain
    And ends, we can explain
    And ends, we can explain
    And ends, we can explain
    And ends, we can explain
    And ends, we can explain
---
Track: Faces of Oglogoth
Duration: '5:13'
#Seems to have lyrics, incomprehensible
URLs:
- https://thehighblood.bandcamp.com/track/faces-of-oglogoth
Lyrics: |-
    Oglogoth, the destroyer of worlds
    Speaker of wrath and tormenting force
    Oglogoth, the speaker of right
    Oglogoth, sentences you die

    Oglogoth calling us nigh
    Speaking the vast
    Reading the mind
    Horrors of day
    May let him smile
    Oglogoth, resting till
    Rise
    Torment to struck
    Torment to ride
    Torment to ride

    Oglogoth
    Oglogoth

    Are the fectures
    Fall in lie
    Oglogoth, for fetch, they die

    Nightmare
